diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/epc-s1ap-sap.h ns-3.44/src/lte/model/epc-s1ap-sap.h
--- ns-3.43/src/lte/model/epc-s1ap-sap.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/epc-s1ap-sap.h	2025-03-09 16:55:49.483371500 -0700
@@ -11,10 +11,10 @@
 
 #include "eps-bearer.h"
 
-#include <ns3/address.h>
-#include <ns3/ipv4-address.h>
-#include <ns3/object.h>
-#include <ns3/ptr.h>
+#include "ns3/address.h"
+#include "ns3/ipv4-address.h"
+#include "ns3/object.h"
+#include "ns3/ptr.h"
 
 #include <list>
 
@@ -22,7 +22,7 @@
 {
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * Base class that defines EPC S1-AP Service Access Point (SAP) interface.
  */
@@ -33,7 +33,7 @@
 };
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * MME side of the S1-AP Service Access Point (SAP), provides the MME
  * methods to be called when an S1-AP message is received by the MME.
@@ -44,10 +44,10 @@
     /**
      * Initial UE message.
      *
-     * \param mmeUeS1Id in practice, we use the IMSI
-     * \param enbUeS1Id in practice, we use the RNTI
-     * \param stmsi in practice, the imsi
-     * \param ecgi in practice, the cell Id
+     * @param mmeUeS1Id in practice, we use the IMSI
+     * @param enbUeS1Id in practice, we use the RNTI
+     * @param stmsi in practice, the imsi
+     * @param ecgi in practice, the cell Id
      */
     virtual void InitialUeMessage(uint64_t mmeUeS1Id,
                                   uint16_t enbUeS1Id,
@@ -63,13 +63,13 @@
     };
 
     /**
-     * \brief As per 3GPP TS 36.413 version 9.8.0 section 8.2.3.2.2, the eNB
+     * @brief As per 3GPP TS 36.413 version 9.8.0 section 8.2.3.2.2, the eNB
      * indicates bearer release by sending an E-RAB RELEASE INDICATION message
      * towards MME
      *
-     * \param mmeUeS1Id in practice, we use the IMSI
-     * \param enbUeS1Id in practice, we use the RNTI
-     * \param erabToBeReleaseIndication List of bearers to be deactivated
+     * @param mmeUeS1Id in practice, we use the IMSI
+     * @param enbUeS1Id in practice, we use the RNTI
+     * @param erabToBeReleaseIndication List of bearers to be deactivated
      */
     virtual void ErabReleaseIndication(
         uint64_t mmeUeS1Id,
@@ -89,9 +89,9 @@
     /**
      * INITIAL CONTEXT SETUP RESPONSE message,  see 3GPP TS 36.413 9.1.4.2
      *
-     * \param mmeUeS1Id in practice, we use the IMSI
-     * \param enbUeS1Id in practice, we use the RNTI
-     * \param erabSetupList List of ERAB setup
+     * @param mmeUeS1Id in practice, we use the IMSI
+     * @param enbUeS1Id in practice, we use the RNTI
+     * @param erabSetupList List of ERAB setup
      *
      */
     virtual void InitialContextSetupResponse(uint64_t mmeUeS1Id,
@@ -111,10 +111,10 @@
     /**
      * PATH SWITCH REQUEST message, see 3GPP TS 36.413 9.1.5.8
      *
-     * \param enbUeS1Id in practice, we use the RNTI
-     * \param mmeUeS1Id in practice, we use the IMSI
-     * \param gci GCI
-     * \param erabToBeSwitchedInDownlinkList List of ERAB to be switched in downlink
+     * @param enbUeS1Id in practice, we use the RNTI
+     * @param mmeUeS1Id in practice, we use the IMSI
+     * @param gci GCI
+     * @param erabToBeSwitchedInDownlinkList List of ERAB to be switched in downlink
      */
     virtual void PathSwitchRequest(
         uint64_t enbUeS1Id,
@@ -124,7 +124,7 @@
 };
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * eNB side of the S1-AP Service Access Point (SAP), provides the eNB
  * methods to be called when an S1-AP message is received by the eNB.
@@ -144,9 +144,9 @@
     /**
      * Initial context setup request
      *
-     * \param mmeUeS1Id in practice, we use the IMSI
-     * \param enbUeS1Id in practice, we use the RNTI
-     * \param erabToBeSetupList List of ERAB to be setup
+     * @param mmeUeS1Id in practice, we use the IMSI
+     * @param enbUeS1Id in practice, we use the RNTI
+     * @param erabToBeSetupList List of ERAB to be setup
      */
     virtual void InitialContextSetupRequest(uint64_t mmeUeS1Id,
                                             uint16_t enbUeS1Id,
@@ -165,10 +165,10 @@
     /**
      * PATH SWITCH REQUEST ACKNOWLEDGE message, see 3GPP TS 36.413 9.1.5.9
      *
-     * \param enbUeS1Id in practice, we use the RNTI
-     * \param mmeUeS1Id in practice, we use the IMSI
-     * \param cgi CGI
-     * \param erabToBeSwitchedInUplinkList List of ERAB to be switched in uplink
+     * @param enbUeS1Id in practice, we use the RNTI
+     * @param mmeUeS1Id in practice, we use the IMSI
+     * @param cgi CGI
+     * @param erabToBeSwitchedInUplinkList List of ERAB to be switched in uplink
      */
     virtual void PathSwitchRequestAcknowledge(
         uint64_t enbUeS1Id,
@@ -188,7 +188,7 @@
     /**
      * Constructor
      *
-     * \param owner the owner class
+     * @param owner the owner class
      */
     MemberEpcS1apSapMme(C* owner);
 
@@ -198,10 +198,10 @@
     // inherited from EpcS1apSapMme
     /**
      * Initial UE Message function
-     * \param mmeUeS1Id in practice, we use the IMSI
-     * \param enbUeS1Id in practice, we use the RNTI
-     * \param imsi the IMSI
-     * \param ecgi ECGI
+     * @param mmeUeS1Id in practice, we use the IMSI
+     * @param enbUeS1Id in practice, we use the RNTI
+     * @param imsi the IMSI
+     * @param ecgi ECGI
      */
     void InitialUeMessage(uint64_t mmeUeS1Id,
                           uint16_t enbUeS1Id,
@@ -209,9 +209,9 @@
                           uint16_t ecgi) override;
     /**
      * ERAB Release Indiation function
-     * \param mmeUeS1Id in practice, we use the IMSI
-     * \param enbUeS1Id in practice, we use the RNTI
-     * \param erabToBeReleaseIndication List of ERAB to be release indication
+     * @param mmeUeS1Id in practice, we use the IMSI
+     * @param enbUeS1Id in practice, we use the RNTI
+     * @param erabToBeReleaseIndication List of ERAB to be release indication
      */
     void ErabReleaseIndication(
         uint64_t mmeUeS1Id,
@@ -220,19 +220,19 @@
 
     /**
      * Initial context setup response
-     * \param mmeUeS1Id in practice, we use the IMSI
-     * \param enbUeS1Id in practice, we use the RNTI
-     * \param erabSetupList List of ERAB setup
+     * @param mmeUeS1Id in practice, we use the IMSI
+     * @param enbUeS1Id in practice, we use the RNTI
+     * @param erabSetupList List of ERAB setup
      */
     void InitialContextSetupResponse(uint64_t mmeUeS1Id,
                                      uint16_t enbUeS1Id,
                                      std::list<ErabSetupItem> erabSetupList) override;
     /**
      * Path switch request
-     * \param enbUeS1Id in practice, we use the RNTI
-     * \param mmeUeS1Id in practice, we use the IMSI
-     * \param cgi CGI
-     * \param erabToBeSwitchedInDownlinkList List of ERAB to be switched in downlink
+     * @param enbUeS1Id in practice, we use the RNTI
+     * @param mmeUeS1Id in practice, we use the IMSI
+     * @param cgi CGI
+     * @param erabToBeSwitchedInDownlinkList List of ERAB to be switched in downlink
      */
     void PathSwitchRequest(
         uint64_t enbUeS1Id,
@@ -301,7 +301,7 @@
     /**
      * Constructor
      *
-     * \param owner the owner class
+     * @param owner the owner class
      */
     MemberEpcS1apSapEnb(C* owner);
 
@@ -311,19 +311,19 @@
     // inherited from EpcS1apSapEnb
     /**
      * Initial context setup request function
-     * \param mmeUeS1Id in practice, we use the IMSI
-     * \param enbUeS1Id in practice, we use the RNTI
-     * \param erabToBeSetupList List of ERAB to be setup
+     * @param mmeUeS1Id in practice, we use the IMSI
+     * @param enbUeS1Id in practice, we use the RNTI
+     * @param erabToBeSetupList List of ERAB to be setup
      */
     void InitialContextSetupRequest(uint64_t mmeUeS1Id,
                                     uint16_t enbUeS1Id,
                                     std::list<ErabToBeSetupItem> erabToBeSetupList) override;
     /**
      * Path switch request acknowledge function
-     * \param enbUeS1Id in practice, we use the RNTI
-     * \param mmeUeS1Id in practice, we use the IMSI
-     * \param cgi CGI
-     * \param erabToBeSwitchedInUplinkList List of ERAB to be switched in uplink
+     * @param enbUeS1Id in practice, we use the RNTI
+     * @param mmeUeS1Id in practice, we use the IMSI
+     * @param cgi CGI
+     * @param erabToBeSwitchedInUplinkList List of ERAB to be switched in uplink
      */
     void PathSwitchRequestAcknowledge(
         uint64_t enbUeS1Id,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/epc-sgw-application.h ns-3.44/src/lte/model/epc-sgw-application.h
--- ns-3.43/src/lte/model/epc-sgw-application.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/epc-sgw-application.h	2025-03-09 16:55:49.483371500 -0700
@@ -21,7 +21,7 @@
 {
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * This application implements the Serving Gateway Entity (SGW)
  * according to the 3GPP TS 23.401 document.
@@ -41,8 +41,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     void DoDispose() override;
@@ -50,10 +50,10 @@
     /**
      * Constructor that binds callback methods of sockets.
      *
-     * \param s1uSocket socket used to send/receive GTP-U packets to/from the eNBs
-     * \param s5Addr IPv4 address of the S5 interface
-     * \param s5uSocket socket used to send/receive GTP-U packets to/from the PGW
-     * \param s5cSocket socket used to send/receive GTP-C packets to/from the PGW
+     * @param s1uSocket socket used to send/receive GTP-U packets to/from the eNBs
+     * @param s5Addr IPv4 address of the S5 interface
+     * @param s5uSocket socket used to send/receive GTP-U packets to/from the PGW
+     * @param s5cSocket socket used to send/receive GTP-C packets to/from the PGW
      */
     EpcSgwApplication(const Ptr<Socket> s1uSocket,
                       Ipv4Address s5Addr,
@@ -66,24 +66,24 @@
     /**
      * Let the SGW be aware of an MME
      *
-     * \param mmeS11Addr the address of the MME
-     * \param s11Socket the socket to send/receive messages from the MME
+     * @param mmeS11Addr the address of the MME
+     * @param s11Socket the socket to send/receive messages from the MME
      */
     void AddMme(Ipv4Address mmeS11Addr, Ptr<Socket> s11Socket);
 
     /**
      * Let the SGW be aware of a PGW
      *
-     * \param pgwAddr the address of the PGW
+     * @param pgwAddr the address of the PGW
      */
     void AddPgw(Ipv4Address pgwAddr);
 
     /**
      * Let the SGW be aware of a new eNB
      *
-     * \param cellId the cell identifier
-     * \param enbAddr the address of the eNB
-     * \param sgwAddr the address of the SGW
+     * @param cellId the cell identifier
+     * @param enbAddr the address of the eNB
+     * @param sgwAddr the address of the SGW
      */
     void AddEnb(uint16_t cellId, Ipv4Address enbAddr, Ipv4Address sgwAddr);
 
@@ -92,7 +92,7 @@
      * Method to be assigned to the recv callback of the S11 socket.
      * It is called when the SGW receives a control packet from the MME.
      *
-     * \param socket pointer to the S11 socket
+     * @param socket pointer to the S11 socket
      */
     void RecvFromS11Socket(Ptr<Socket> socket);
 
@@ -101,7 +101,7 @@
      * It is called when the SGW receives a data packet from the PGW
      * that is to be forwarded to an eNB.
      *
-     * \param socket pointer to the S5-U socket
+     * @param socket pointer to the S5-U socket
      */
     void RecvFromS5uSocket(Ptr<Socket> socket);
 
@@ -109,7 +109,7 @@
      * Method to be assigned to the recv callback of the S5-C socket.
      * It is called when the SGW receives a control packet from the PGW.
      *
-     * \param socket pointer to the S5-C socket
+     * @param socket pointer to the S5-C socket
      */
     void RecvFromS5cSocket(Ptr<Socket> socket);
 
@@ -118,25 +118,25 @@
      * It is called when the SGW receives a data packet from the eNB
      * that is to be forwarded to the PGW.
      *
-     * \param socket pointer to the S1-U socket
+     * @param socket pointer to the S1-U socket
      */
     void RecvFromS1uSocket(Ptr<Socket> socket);
 
     /**
      * Send a data packet to the PGW via the S5 interface
      *
-     * \param packet packet to be sent
-     * \param pgwAddr the address of the PGW
-     * \param teid the Tunnel Endpoint Identifier
+     * @param packet packet to be sent
+     * @param pgwAddr the address of the PGW
+     * @param teid the Tunnel Endpoint Identifier
      */
     void SendToS5uSocket(Ptr<Packet> packet, Ipv4Address pgwAddr, uint32_t teid);
 
     /**
      * Send a data packet to an eNB via the S1-U interface
      *
-     * \param packet packet to be sent
-     * \param enbS1uAddress the address of the eNB
-     * \param teid the Tunnel Endpoint Identifier
+     * @param packet packet to be sent
+     * @param enbS1uAddress the address of the eNB
+     * @param teid the Tunnel Endpoint Identifier
      */
     void SendToS1uSocket(Ptr<Packet> packet, Ipv4Address enbS1uAddress, uint32_t teid);
 
@@ -144,25 +144,25 @@
 
     /**
      * Process GTP-C Create Session Request message
-     * \param packet the packet containing the message
+     * @param packet the packet containing the message
      */
     void DoRecvCreateSessionRequest(Ptr<Packet> packet);
 
     /**
      * Process GTP-C Modify Bearer Request message
-     * \param packet the packet containing the message
+     * @param packet the packet containing the message
      */
     void DoRecvModifyBearerRequest(Ptr<Packet> packet);
 
     /**
      * Process GTP-C Delete Bearer Command message
-     * \param packet the packet containing the message
+     * @param packet the packet containing the message
      */
     void DoRecvDeleteBearerCommand(Ptr<Packet> packet);
 
     /**
      * Process GTP-C Delete Bearer Response message
-     * \param packet the packet containing the message
+     * @param packet the packet containing the message
      */
     void DoRecvDeleteBearerResponse(Ptr<Packet> packet);
 
@@ -170,19 +170,19 @@
 
     /**
      * Process GTP-C Create Session Response message
-     * \param packet the packet containing the message
+     * @param packet the packet containing the message
      */
     void DoRecvCreateSessionResponse(Ptr<Packet> packet);
 
     /**
      * Process GTP-C Modify Bearer Response message
-     * \param packet the packet containing the message
+     * @param packet the packet containing the message
      */
     void DoRecvModifyBearerResponse(Ptr<Packet> packet);
 
     /**
      * Process GTP-C Delete Bearer Request message
-     * \param packet the packet containing the message
+     * @param packet the packet containing the message
      */
     void DoRecvDeleteBearerRequest(Ptr<Packet> packet);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/epc-tft.cc ns-3.44/src/lte/model/epc-tft.cc
--- ns-3.43/src/lte/model/epc-tft.cc	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/epc-tft.cc	2025-03-09 16:55:49.483371500 -0700
@@ -19,9 +19,9 @@
 /**
  * Output stream operator for EPC TFT direction
  *
- * \param os output stream
- * \param d EPC TFT direction
- * \return ostream
+ * @param os output stream
+ * @param d EPC TFT direction
+ * @return ostream
  */
 std::ostream&
 operator<<(std::ostream& os, const EpcTft::Direction& d)
@@ -44,9 +44,9 @@
 /**
  * Output stream for EPC TFT packet filter
  *
- * \param os output stream
- * \param f EPC TFT packet filter
- * \return ostream
+ * @param os output stream
+ * @param f EPC TFT packet filter
+ * @return ostream
  */
 std::ostream&
 operator<<(std::ostream& os, const EpcTft::PacketFilter& f)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/epc-tft-classifier.h ns-3.44/src/lte/model/epc-tft-classifier.h
--- ns-3.43/src/lte/model/epc-tft-classifier.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/epc-tft-classifier.h	2025-03-09 16:55:49.483371500 -0700
@@ -23,9 +23,9 @@
 class Packet;
 
 /**
- * \brief classifies IP packets according to Traffic Flow Templates (TFTs)
+ * @brief classifies IP packets according to Traffic Flow Templates (TFTs)
  *
- * \note this implementation works with IPv4 and IPv6.
+ * @note this implementation works with IPv4 and IPv6.
  * When there is fragmentation of IP packets, UDP/TCP ports maybe missing.
  *
  * The following actions are performed to use the port info present in the first segment with
@@ -46,8 +46,8 @@
     /**
      * add a TFT to the Classifier
      *
-     * \param tft the TFT to be added
-     * \param id the ID of the bearer which will be classified by specified TFT classifier
+     * @param tft the TFT to be added
+     * @param id the ID of the bearer which will be classified by specified TFT classifier
      *
      */
     void Add(Ptr<EpcTft> tft, uint32_t id);
@@ -55,18 +55,18 @@
     /**
      * delete an existing TFT from the classifier
      *
-     * \param id the identifier of the TFT to be deleted
+     * @param id the identifier of the TFT to be deleted
      */
     void Delete(uint32_t id);
 
     /**
      * classify an IP packet
      *
-     * \param p the IP packet. The outmost header can only be an IPv4 or an IPv6 header.
-     * \param direction the EPC TFT direction (can be downlink, uplink or bi-directional)
-     * \param protocolNumber the protocol of the packet. Only IPv4 and IPv6 are supported.
+     * @param p the IP packet. The outmost header can only be an IPv4 or an IPv6 header.
+     * @param direction the EPC TFT direction (can be downlink, uplink or bi-directional)
+     * @param protocolNumber the protocol of the packet. Only IPv4 and IPv6 are supported.
      *
-     * \return the identifier (>0) of the first TFT that matches with the IP packet; 0 if no TFT
+     * @return the identifier (>0) of the first TFT that matches with the IP packet; 0 if no TFT
      * matched.
      */
     uint32_t Classify(Ptr<Packet> p, EpcTft::Direction direction, uint16_t protocolNumber);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/epc-tft.h ns-3.44/src/lte/model/epc-tft.h
--- ns-3.43/src/lte/model/epc-tft.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/epc-tft.h	2025-03-09 16:55:49.483371500 -0700
@@ -9,9 +9,9 @@
 #ifndef EPC_TFT_H
 #define EPC_TFT_H
 
-#include <ns3/ipv4-address.h>
-#include <ns3/ipv6-address.h>
-#include <ns3/simple-ref-count.h>
+#include "ns3/ipv4-address.h"
+#include "ns3/ipv6-address.h"
+#include "ns3/simple-ref-count.h"
 
 #include <list>
 
@@ -29,7 +29,7 @@
     /**
      * creates a TFT matching any traffic
      *
-     * \return a newly created TFT that will match any traffic
+     * @return a newly created TFT that will match any traffic
      */
     static Ptr<EpcTft> Default();
 
@@ -62,14 +62,14 @@
 
         /**
          *
-         * \param d the direction
-         * \param ra the remote address
-         * \param la the local address
-         * \param rp the remote port
-         * \param lp the local port
-         * \param tos the type of service
+         * @param d the direction
+         * @param ra the remote address
+         * @param la the local address
+         * @param rp the remote port
+         * @param lp the local port
+         * @param tos the type of service
          *
-         * \return true if the parameters match with the PacketFilter,
+         * @return true if the parameters match with the PacketFilter,
          * false otherwise.
          */
         bool Matches(Direction d,
@@ -81,14 +81,14 @@
 
         /**
          *
-         * \param d the direction
-         * \param ra the remote address
-         * \param la the local address
-         * \param rp the remote port
-         * \param lp the local port
-         * \param tos the type of service
+         * @param d the direction
+         * @param ra the remote address
+         * @param la the local address
+         * @param rp the remote port
+         * @param lp the local port
+         * @param tos the type of service
          *
-         * \return true if the parameters match with the PacketFilter,
+         * @return true if the parameters match with the PacketFilter,
          * false otherwise.
          */
         bool Matches(Direction d,
@@ -129,23 +129,23 @@
     /**
      * add a PacketFilter to the Traffic Flow Template
      *
-     * \param f the PacketFilter to be added
+     * @param f the PacketFilter to be added
      *
-     * \return the id( 0 <= id < 16) of the newly added filter, if the addition was successful. Will
+     * @return the id( 0 <= id < 16) of the newly added filter, if the addition was successful. Will
      * fail if you try to add more than 15 filters. This is to be compliant with TS 24.008.
      */
     uint8_t Add(PacketFilter f);
 
     /**
      *
-     * \param direction
-     * \param remoteAddress
-     * \param localAddress
-     * \param remotePort
-     * \param localPort
-     * \param typeOfService
+     * @param direction
+     * @param remoteAddress
+     * @param localAddress
+     * @param remotePort
+     * @param localPort
+     * @param typeOfService
      *
-     * \return true if any PacketFilter in the TFT matches with the
+     * @return true if any PacketFilter in the TFT matches with the
      * parameters, false otherwise.
      */
     bool Matches(Direction direction,
@@ -157,14 +157,14 @@
 
     /**
      *
-     * \param direction
-     * \param remoteAddress
-     * \param localAddress
-     * \param remotePort
-     * \param localPort
-     * \param typeOfService
+     * @param direction
+     * @param remoteAddress
+     * @param localAddress
+     * @param remotePort
+     * @param localPort
+     * @param typeOfService
      *
-     * \return true if any PacketFilter in the TFT matches with the
+     * @return true if any PacketFilter in the TFT matches with the
      * parameters, false otherwise.
      */
     bool Matches(Direction direction,
@@ -176,7 +176,7 @@
 
     /**
      * Get the packet filters
-     * \return a container of packet filters
+     * @return a container of packet filters
      */
     std::list<PacketFilter> GetPacketFilters() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/epc-ue-nas.cc ns-3.44/src/lte/model/epc-ue-nas.cc
--- ns-3.43/src/lte/model/epc-ue-nas.cc	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/epc-ue-nas.cc	2025-03-09 16:55:49.483371500 -0700
@@ -10,35 +10,16 @@
 
 #include "lte-as-sap.h"
 
-#include <ns3/epc-helper.h>
-#include <ns3/fatal-error.h>
-#include <ns3/log.h>
-#include <ns3/simulator.h>
+#include "ns3/epc-helper.h"
+#include "ns3/fatal-error.h"
+#include "ns3/log.h"
+#include "ns3/simulator.h"
 
 namespace ns3
 {
 
 NS_LOG_COMPONENT_DEFINE("EpcUeNas");
 
-/// Map each of UE NAS states to its string representation.
-static const std::string g_ueNasStateName[EpcUeNas::NUM_STATES] = {
-    "OFF",
-    "ATTACHING",
-    "IDLE_REGISTERED",
-    "CONNECTING_TO_EPC",
-    "ACTIVE",
-};
-
-/**
- * \param s The UE NAS state.
- * \return The string representation of the given state.
- */
-static inline const std::string&
-ToString(EpcUeNas::State s)
-{
-    return g_ueNasStateName[s];
-}
-
 NS_OBJECT_ENSURE_REGISTERED(EpcUeNas);
 
 EpcUeNas::EpcUeNas()
@@ -273,11 +254,10 @@
 void
 EpcUeNas::SwitchToState(State newState)
 {
-    NS_LOG_FUNCTION(this << ToString(newState));
+    NS_LOG_FUNCTION(this << newState);
     State oldState = m_state;
     m_state = newState;
-    NS_LOG_INFO("IMSI " << m_imsi << " NAS " << ToString(oldState) << " --> "
-                        << ToString(newState));
+    NS_LOG_INFO("IMSI " << m_imsi << " NAS " << oldState << " --> " << newState);
     m_stateTransitionCallback(oldState, newState);
 
     // actions to be done when entering a new state:
@@ -296,4 +276,25 @@
     }
 }
 
+std::ostream&
+operator<<(std::ostream& os, EpcUeNas::State state)
+{
+    switch (state)
+    {
+    case EpcUeNas::State::OFF:
+        return os << "OFF";
+    case EpcUeNas::State::ATTACHING:
+        return os << "ATTACHING";
+    case EpcUeNas::State::IDLE_REGISTERED:
+        return os << "IDLE_REGISTERED";
+    case EpcUeNas::State::CONNECTING_TO_EPC:
+        return os << "CONNECTING_TO_EPC";
+    case EpcUeNas::State::ACTIVE:
+        return os << "ACTIVE";
+    case EpcUeNas::State::NUM_STATES:
+        return os << "NUM_STATES";
+    };
+    return os << "UNKNOWN(" << static_cast<uint32_t>(state) << ")";
+}
+
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/epc-ue-nas.h ns-3.44/src/lte/model/epc-ue-nas.h
--- ns-3.43/src/lte/model/epc-ue-nas.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/epc-ue-nas.h	2025-03-09 16:55:49.483371500 -0700
@@ -13,8 +13,8 @@
 #include "eps-bearer.h"
 #include "lte-as-sap.h"
 
-#include <ns3/object.h>
-#include <ns3/traced-callback.h>
+#include "ns3/object.h"
+#include "ns3/traced-callback.h"
 
 namespace ns3
 {
@@ -41,76 +41,76 @@
     // inherited from Object
     void DoDispose() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
      *
-     * \param dev the UE NetDevice
+     * @param dev the UE NetDevice
      */
     void SetDevice(Ptr<NetDevice> dev);
 
     /**
      *
      *
-     * \param imsi the unique UE identifier
+     * @param imsi the unique UE identifier
      */
     void SetImsi(uint64_t imsi);
 
     /**
      *
-     * \param csgId Closed Subscriber Group identity
+     * @param csgId Closed Subscriber Group identity
      */
     void SetCsgId(uint32_t csgId);
 
     /**
      *
-     * \return csgId Closed Subscriber Group identity
+     * @return csgId Closed Subscriber Group identity
      */
     uint32_t GetCsgId() const;
 
     /**
      * Set the AS SAP provider to interact with the NAS entity
      *
-     * \param s the AS SAP provider
+     * @param s the AS SAP provider
      */
     void SetAsSapProvider(LteAsSapProvider* s);
 
     /**
      *
      *
-     * \return the AS SAP user exported by this RRC
+     * @return the AS SAP user exported by this RRC
      */
     LteAsSapUser* GetAsSapUser();
 
     /**
      * set the callback used to forward data packets up the stack
      *
-     * \param cb the callback
+     * @param cb the callback
      */
     void SetForwardUpCallback(Callback<void, Ptr<Packet>> cb);
 
     /**
-     * \brief Causes NAS to tell AS to find a suitable cell and camp to it.
+     * @brief Causes NAS to tell AS to find a suitable cell and camp to it.
      *
-     * \param dlEarfcn the DL frequency of the eNB
+     * @param dlEarfcn the DL frequency of the eNB
      */
     void StartCellSelection(uint32_t dlEarfcn);
 
     /**
-     * \brief Causes NAS to tell AS to go to ACTIVE state.
+     * @brief Causes NAS to tell AS to go to ACTIVE state.
      *
      * The end result is equivalent with EMM Registered + ECM Connected states.
      */
     void Connect();
 
     /**
-     * \brief Causes NAS to tell AS to camp to a specific cell and go to ACTIVE
+     * @brief Causes NAS to tell AS to camp to a specific cell and go to ACTIVE
      *        state.
-     * \param cellId the id of the eNB to camp on
-     * \param dlEarfcn the DL frequency of the eNB
+     * @param cellId the id of the eNB to camp on
+     * @param dlEarfcn the DL frequency of the eNB
      *
      * The end result is equivalent with EMM Registered + ECM Connected states.
      * Since RRC Idle Mode cell selection is not supported yet, we force the UE
@@ -127,18 +127,18 @@
     /**
      * Activate an EPS bearer
      *
-     * \param bearer the characteristics of the bearer to be created
-     * \param tft the TFT identifying the traffic that will go on this bearer
+     * @param bearer the characteristics of the bearer to be created
+     * @param tft the TFT identifying the traffic that will go on this bearer
      */
     void ActivateEpsBearer(EpsBearer bearer, Ptr<EpcTft> tft);
 
     /**
      * Enqueue an IP packet on the proper bearer for uplink transmission
      *
-     * \param p the packet
-     * \param protocolNumber the protocol number of the packet
+     * @param p the packet
+     * @param protocolNumber the protocol number of the packet
      *
-     * \return true if successful, false if an error occurred
+     * @return true if successful, false if an error occurred
      */
     bool Send(Ptr<Packet> p, uint16_t protocolNumber);
 
@@ -158,15 +158,15 @@
     };
 
     /**
-     * \return The current state
+     * @return The current state
      */
     State GetState() const;
 
     /**
      * TracedCallback signature for state change events.
      *
-     * \param [in] oldState The old State.
-     * \param [in] newState the new State.
+     * @param [in] oldState The old State.
+     * @param [in] newState the new State.
      */
     typedef void (*StateTracedCallback)(const State oldState, const State newState);
 
@@ -180,20 +180,20 @@
     void DoNotifyConnectionReleased();
     /**
      * Receive data
-     * \param packet the packet
+     * @param packet the packet
      */
     void DoRecvData(Ptr<Packet> packet);
 
     // internal methods
     /**
      * Activate EPS Bearer
-     * \param bearer the EPS bearer
-     * \param tft the EPC TFT
+     * @param bearer the EPS bearer
+     * @param tft the EPC TFT
      */
     void DoActivateEpsBearer(EpsBearer bearer, Ptr<EpcTft> tft);
     /**
      * Switch the UE RRC to the given state.
-     * \param s the destination state
+     * @param s the destination state
      */
     void SwitchToState(State s);
 
@@ -203,7 +203,7 @@
     /**
      * The `StateTransition` trace source. Fired upon every UE NAS state
      * transition. Exporting old state and new state.
-     * \todo This should be a TracedValue
+     * @todo This should be a TracedValue
      */
     TracedCallback<State, State> m_stateTransitionCallback;
 
@@ -243,6 +243,14 @@
     std::list<BearerToBeActivated> m_bearersToBeActivatedListForReconnection;
 };
 
+/**
+ * @brief Stream insertion operator.
+ * @param [in] os The reference to the output stream.
+ * @param [in] state The EpcUeNas::State.
+ * @return The reference to the output stream.
+ */
+std::ostream& operator<<(std::ostream& os, EpcUeNas::State state);
+
 } // namespace ns3
 
 #endif // EPC_UE_NAS_H
